#include "WASMAbilityRegistry.hpp"
#include "../WASMHelperFile.hpp"
#include "wasm.h"

using namespace CreatureLib::Library;
using namespace PkmnLib::Library;

void WASMAbilityRegistry::Register(ArbUt::Dictionary<std::string, wasm_func_t*>& externs,
                                   WebAssemblyScriptResolver* resolver) {
    REGISTER_GETTER("ability_get_name", Talent, GetName, resolver);
    REGISTER_GETTER("ability_get_effect", Talent, GetEffect, resolver);
    REGISTER_GETTER("ability_get_parameters", Talent, GetParameters, resolver);
}
