#include "WASMEffectParameter.hpp"
#include "../../../../Battling/Library/BattleLibrary.hpp"
#include "../../WebAssemblyScriptResolver.hpp"
#include "../WASMHelperFile.hpp"
#include "wasm.h"

using namespace CreatureLib::Library;

void WASMEffectParameter::Register(ArbUt::Dictionary<std::string, wasm_func_t*>& externs,
                                   WebAssemblyScriptResolver* resolver) {
    REGISTER_GETTER("effect_parameter_get_type", EffectParameter, GetType, resolver)
    REGISTER_GETTER("effect_parameter_as_bool", EffectParameter, AsBool, resolver)
    REGISTER_GETTER("effect_parameter_as_int", EffectParameter, AsInt, resolver)
    REGISTER_GETTER("effect_parameter_as_float", EffectParameter, AsFloat, resolver)
    REGISTER_GETTER("effect_parameter_as_string", EffectParameter, AsString, resolver)
}
